Debian Bug report logs - #662940
slapd gives assertions for valid configuration

version graph

Package: slapd; Maintainer for slapd is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for slapd is src:openldap.

Reported by: Mattias Ellert <mattias.ellert@fysast.uu.se>

Date: Wed, 7 Mar 2012 12:30:01 UTC

Severity: normal

Found in version openldap/2.4.28-1.1

Fixed in versions openldap/2.4.28-1.2, openldap/2.4.31-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#662940; Package slapd. (Wed, 07 Mar 2012 12:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
New Bug report received and forwarded. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Wed, 07 Mar 2012 12:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: submit@bugs.debian.org
Subject: slapd gives assertions for valid configuration
Date: Wed, 07 Mar 2012 13:28:06 +0100
[Message part 1 (text/plain, inline)]
Package: slapd
Version: 2.4.28-1.1
Severity: normal

When configuring the shell backend in slapd.conf the syntax is (see man
slapd-shell):

add <pathname> <argument>...
bind <pathname> <argument>...
compare <pathname> <argument>...

and so on.

That is the path to the script followed by its arguments. This has
worked fine in the past. However, the current version 2.4.28-1.1 of the
slapd server refuses to start if any arguments are given after the path
name in the configuration file, with the following assertion:

slapd: ../../../../servers/slapd/config.c:198: config_check_vals:
Assertion `c->argc == 2' failed.

For the configuration of the shell backend the assertion condition means
that it is not possible to pass arguments to the script in the
slapd.conf. The man pages documents that this should still be possible,
and it has been working with earlier versions.

	Mattias

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#662940; Package slapd. (Wed, 07 Mar 2012 17:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Wed, 07 Mar 2012 17:21:12 GMT) Full text and rfc822 format available.

Message #10 received at 662940@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 662940@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#662940: slapd gives assertions for valid configuration
Date: Wed, 07 Mar 2012 09:11:11 -0800
--On Wednesday, March 07, 2012 1:28 PM +0100 Mattias Ellert 
<mattias.ellert@fysast.uu.se> wrote:

> Package: slapd
> Version: 2.4.28-1.1
> Severity: normal
>
> When configuring the shell backend in slapd.conf the syntax is (see man
> slapd-shell):
>
> add <pathname> <argument>...
> bind <pathname> <argument>...
> compare <pathname> <argument>...
>
> and so on.
>
> That is the path to the script followed by its arguments. This has
> worked fine in the past. However, the current version 2.4.28-1.1 of the
> slapd server refuses to start if any arguments are given after the path
> name in the configuration file, with the following assertion:
>
> slapd: ../../../../servers/slapd/config.c:198: config_check_vals:
> Assertion `c->argc == 2' failed.
>
> For the configuration of the shell backend the assertion condition means
> that it is not possible to pass arguments to the script in the
> slapd.conf. The man pages documents that this should still be possible,
> and it has been working with earlier versions.
>
> 	Mattias
>


I've filed <http://www.openldap.org/its/index.cgi/?findid=7201> for this.

--Quanah


--

Quanah Gibson-Mount
Sr. Member of Technical Staff
Zimbra, Inc
A Division of VMware, Inc.
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#662940; Package slapd. (Fri, 09 Mar 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 09 Mar 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 662940@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: 662940@bugs.debian.org, Mattias Ellert <mattias.ellert@fysast.uu.se>
Subject: Re: [Pkg-openldap-devel] Bug#662940: Bug#662940: slapd gives assertions for valid configuration
Date: Fri, 09 Mar 2012 11:16:20 -0800
--On Wednesday, March 07, 2012 9:11 AM -0800 Quanah Gibson-Mount 
<quanah@zimbra.com> wrote:

> --On Wednesday, March 07, 2012 1:28 PM +0100 Mattias Ellert
> <mattias.ellert@fysast.uu.se> wrote:
>
>> Package: slapd
>> Version: 2.4.28-1.1
>> Severity: normal
>>
>> When configuring the shell backend in slapd.conf the syntax is (see man
>> slapd-shell):
>>
>> add <pathname> <argument>...
>> bind <pathname> <argument>...
>> compare <pathname> <argument>...
>>
>> and so on.
>>
>> That is the path to the script followed by its arguments. This has
>> worked fine in the past. However, the current version 2.4.28-1.1 of the
>> slapd server refuses to start if any arguments are given after the path
>> name in the configuration file, with the following assertion:
>>
>> slapd: ../../../../servers/slapd/config.c:198: config_check_vals:
>> Assertion `c->argc == 2' failed.
>>
>> For the configuration of the shell backend the assertion condition means
>> that it is not possible to pass arguments to the script in the
>> slapd.conf. The man pages documents that this should still be possible,
>> and it has been working with earlier versions.
>>
>> 	Mattias
>>
>
>
> I've filed <http://www.openldap.org/its/index.cgi/?findid=7201> for this.

Fixed upstream with git commit 6143aa0c18c8e0f73f4855b884b30405adabfc99

Please test.

--Quanah


--

Quanah Gibson-Mount
Sr. Member of Technical Staff
Zimbra, Inc
A Division of VMware, Inc.
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#662940; Package slapd. (Thu, 15 Mar 2012 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 15 Mar 2012 05:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 662940@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: Quanah Gibson-Mount <quanah@zimbra.com>
Cc: 662940@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#662940: Bug#662940: slapd gives assertions for valid configuration
Date: Thu, 15 Mar 2012 06:04:17 +0100
[Message part 1 (text/plain, inline)]
fre 2012-03-09 klockan 11:16 -0800 skrev Quanah Gibson-Mount:

> Fixed upstream with git commit 6143aa0c18c8e0f73f4855b884b30405adabfc99
> 
> Please test.
> 
> --Quanah

Rebuilding the openldap source package with the commit added as an
additional patch results in a working slapd server.

	Mattias

[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#662940; Package slapd. (Thu, 15 Mar 2012 16:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 15 Mar 2012 16:57:02 GMT) Full text and rfc822 format available.

Message #25 received at 662940@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>
Cc: 662940@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#662940: Bug#662940: slapd gives assertions for valid configuration
Date: Thu, 15 Mar 2012 09:54:23 -0700
--On Thursday, March 15, 2012 6:04 AM +0100 Mattias Ellert 
<mattias.ellert@fysast.uu.se> wrote:

> fre 2012-03-09 klockan 11:16 -0800 skrev Quanah Gibson-Mount:
>
>> Fixed upstream with git commit 6143aa0c18c8e0f73f4855b884b30405adabfc99
>>
>> Please test.
>>
>> --Quanah
>
> Rebuilding the openldap source package with the commit added as an
> additional patch results in a working slapd server.

Thanks for the verification!

--Quanah


--

Quanah Gibson-Mount
Sr. Member of Technical Staff
Zimbra, Inc
A Division of VMware, Inc.
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#662940; Package slapd. (Wed, 21 Mar 2012 07:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Wed, 21 Mar 2012 07:57:07 GMT) Full text and rfc822 format available.

Message #30 received at 662940@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 662940@bugs.debian.org
Subject: Re: Bug#662940: slapd gives assertions for valid configuration
Date: Wed, 21 Mar 2012 08:54:02 +0100
[Message part 1 (text/plain, inline)]
tor 2012-03-15 klockan 09:54 -0700 skrev Quanah Gibson-Mount:
> 
> Thanks for the verification!
> 
> --Quanah

If there are no objections I can upload an NMU to fix this issue.

	Mattias

[smime.p7s (application/x-pkcs7-signature, attachment)]

Reply sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
You have taken responsibility. (Thu, 22 Mar 2012 08:51:34 GMT) Full text and rfc822 format available.

Notification sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Bug acknowledged by developer. (Thu, 22 Mar 2012 08:51:35 GMT) Full text and rfc822 format available.

Message #35 received at 662940-close@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 662940-close@bugs.debian.org
Subject: Bug#662940: fixed in openldap 2.4.28-1.2
Date: Thu, 22 Mar 2012 08:48:59 +0000
Source: openldap
Source-Version: 2.4.28-1.2

We believe that the bug you reported is fixed in the latest version of
openldap, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.28-1.2_amd64.deb
  to main/o/openldap/ldap-utils_2.4.28-1.2_amd64.deb
libldap-2.4-2-dbg_2.4.28-1.2_amd64.deb
  to main/o/openldap/libldap-2.4-2-dbg_2.4.28-1.2_amd64.deb
libldap-2.4-2_2.4.28-1.2_amd64.deb
  to main/o/openldap/libldap-2.4-2_2.4.28-1.2_amd64.deb
libldap2-dev_2.4.28-1.2_amd64.deb
  to main/o/openldap/libldap2-dev_2.4.28-1.2_amd64.deb
openldap_2.4.28-1.2.diff.gz
  to main/o/openldap/openldap_2.4.28-1.2.diff.gz
openldap_2.4.28-1.2.dsc
  to main/o/openldap/openldap_2.4.28-1.2.dsc
slapd-dbg_2.4.28-1.2_amd64.deb
  to main/o/openldap/slapd-dbg_2.4.28-1.2_amd64.deb
slapd-smbk5pwd_2.4.28-1.2_amd64.deb
  to main/o/openldap/slapd-smbk5pwd_2.4.28-1.2_amd64.deb
slapd_2.4.28-1.2_amd64.deb
  to main/o/openldap/slapd_2.4.28-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mattias Ellert <mattias.ellert@fysast.uu.se> (supplier of updated openldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 14 Mar 2012 21:31:21 +0100
Source: openldap
Binary: slapd slapd-smbk5pwd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source amd64
Version: 2.4.28-1.2
Distribution: unstable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Mattias Ellert <mattias.ellert@fysast.uu.se>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
 slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd.
Closes: 662940
Changes: 
 openldap (2.4.28-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Backport fix for shell backend configuration.  Closes: #662940.
Checksums-Sha1: 
 1dc13d49548755184ef3417eacc51c3a275fb013 2733 openldap_2.4.28-1.2.dsc
 0c10e4722f5bebf3e5ab0625644ee98ee4f016b6 163280 openldap_2.4.28-1.2.diff.gz
 cf4b0ec5e10b41d57edf7f4f661236d7104f9096 1753000 slapd_2.4.28-1.2_amd64.deb
 ab37d32dbc4a1ece443cf4a93f34e3270d99aadd 78336 slapd-smbk5pwd_2.4.28-1.2_amd64.deb
 078620657d5328ab7e558ef1e8c3b0abb51b5333 341142 ldap-utils_2.4.28-1.2_amd64.deb
 fc330cc7d08123a157715e88c0216228b2f495fb 240668 libldap-2.4-2_2.4.28-1.2_amd64.deb
 33973d525a606b2cc0bfeafd2e31393e2b4f9b2d 369220 libldap-2.4-2-dbg_2.4.28-1.2_amd64.deb
 af0559ac0a8ef7e23b4ed612eade574333323870 549754 libldap2-dev_2.4.28-1.2_amd64.deb
 03f047e8e7a7d5fb0f8dce0e83c39619ea25d5e1 4694722 slapd-dbg_2.4.28-1.2_amd64.deb
Checksums-Sha256: 
 9d908152ae1e601d38a4535b80b06b95c7037fcaaed52f5466bd2302016c75c3 2733 openldap_2.4.28-1.2.dsc
 8379053ae5c398e35243d8b170d99a84d5a07a46e9042f0f2a68016d0af32f32 163280 openldap_2.4.28-1.2.diff.gz
 e09e9f42d26776d5a28a14dea475f9c659ba7a50c82009e5c5b3a3387813a13a 1753000 slapd_2.4.28-1.2_amd64.deb
 72cff69d5d0ff174c2243b5a4f5ac5d4d0ff7cbd65feef64df54ff264cd4b017 78336 slapd-smbk5pwd_2.4.28-1.2_amd64.deb
 0a2b55a5557f4872b50950d275e225f43dcbb3a271021f9fba5c28c8c5bc71c5 341142 ldap-utils_2.4.28-1.2_amd64.deb
 655bf6193263cf65a0b3eeeba90ad4f6b5930705ba3e7ca340854078335a308e 240668 libldap-2.4-2_2.4.28-1.2_amd64.deb
 bc255bf591f9236ea5eff66d691b0af3d994926263b8bfb39633086f9af37e34 369220 libldap-2.4-2-dbg_2.4.28-1.2_amd64.deb
 6ea4e09ae8f3a370de88743dd4675f71bef9dd9b94dfac08196ee7b74c74a1c8 549754 libldap2-dev_2.4.28-1.2_amd64.deb
 6ba37e61af0c5228bbcc7b99c1176e55a16d3f646122addfb59da8711cbd8cd4 4694722 slapd-dbg_2.4.28-1.2_amd64.deb
Files: 
 db960d878bb1bc8c6432dcf69b6a332e 2733 net optional openldap_2.4.28-1.2.dsc
 d6575f66a56bc7d5e1bd4e667d29e33e 163280 net optional openldap_2.4.28-1.2.diff.gz
 b595d6e5e967394b070fda777e283394 1753000 net optional slapd_2.4.28-1.2_amd64.deb
 b269b537bc3745dbfe2d99cfefa78b02 78336 net extra slapd-smbk5pwd_2.4.28-1.2_amd64.deb
 3de86ff16310a4c03b3cbc004debe58a 341142 net optional ldap-utils_2.4.28-1.2_amd64.deb
 5da26977e69a2169b1a041a7f3dccf63 240668 libs standard libldap-2.4-2_2.4.28-1.2_amd64.deb
 fc3787499a42029f3e722d11a86b143d 369220 debug extra libldap-2.4-2-dbg_2.4.28-1.2_amd64.deb
 c99b51ab3549791b2887e47d5c8e0c2f 549754 libdevel extra libldap2-dev_2.4.28-1.2_amd64.deb
 92f84167de379350a21c10e68f09d1bf 4694722 debug extra slapd-dbg_2.4.28-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPauZDAAoJEOiuwv874alLG6kQAKjdAiA3gBLj7C2Ag6KewNih
XPt85iAAnSOYS/HM66lzc3t0nVFGSTVfEvgOHDAkET5ksMvBCcVrOUtiB6S5FLSF
m+R6Cm2B9UaKsPcZVdHxK6KjYC/14ix6501US7EftTAnhKQR9TxYMmSdFBrfyKgX
1FE13QjKp1BLEPROjxRCX3VGuxO347eHfl7ozb0poBiEBLYLreMcSo8YpAJCULlj
gTZAN4dVjZQOIRiPcUIvY8AoSf5TzGj1YomNLRG48+k4Dz35WYOQ/Z2aXM+bKFO7
eppe0v+iztfWxmuVKHvrZpYyxYWQohbYu7Ihombnc5B28XdTbRMXzoxr4zdQkadg
ToQnYX79nE6UMl2QQKNWPtNJOD6HO+4TNoc+O4BCv61Xs27FEGnF+ulY17Y8zLjV
mhhjMeyeNNMhEwitkDZYC/H8+j+9mAhaB11WlPf1VC6L/V1wVi3gfVExN2YqEKvn
DfScV5cqULbQY7z9e5bq7WollUTpGzYfJSAmIr0qX6BcH5FJpLN1coDrPXV0OHIW
8QOnOh7CIpB1PZzigfG9mKW2AqkKYDgrg2YOCCshHqf3wJScS9ILQ4EqK21JrD/H
RdAYF0bzQbexBNwoZZE45voCHzZKhx+gb4Q2anVMhr8il+f3lJf6MjthRHK6U+ts
x/BK4MYjBaio0L8ijBcx
=ZGxM
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#662940; Package slapd. (Thu, 22 Mar 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 22 Mar 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 662940@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 662940@bugs.debian.org
Subject: Re: Bug#662940: slapd gives assertions for valid configuration
Date: Thu, 22 Mar 2012 10:08:28 -0700
[Message part 1 (text/plain, inline)]
Hi Mattias,

On Wed, Mar 21, 2012 at 08:54:02AM +0100, Mattias Ellert wrote:
> tor 2012-03-15 klockan 09:54 -0700 skrev Quanah Gibson-Mount:

> > Thanks for the verification!

> If there are no objections I can upload an NMU to fix this issue.

24 hours is not a very long time to wait for objections to an NMU,
particularly for a severity: normal bug.  Would you please follow the NMU
guidelines in the developers-reference?

Alternatively we could make you a comaintainer on the package so you can
commit your changes directly to the svn tree instead of NMUing ;)

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#662940; Package slapd. (Thu, 22 Mar 2012 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 22 Mar 2012 17:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 662940@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 662940@bugs.debian.org
Subject: Re: Bug#662940: slapd gives assertions for valid configuration
Date: Thu, 22 Mar 2012 10:17:46 -0700
[Message part 1 (text/plain, inline)]
On Thu, Mar 22, 2012 at 10:08:28AM -0700, Steve Langasek wrote:
> On Wed, Mar 21, 2012 at 08:54:02AM +0100, Mattias Ellert wrote:
> > tor 2012-03-15 klockan 09:54 -0700 skrev Quanah Gibson-Mount:

> > > Thanks for the verification!

> > If there are no objections I can upload an NMU to fix this issue.

> 24 hours is not a very long time to wait for objections to an NMU,
> particularly for a severity: normal bug.

.... Especially given that you overlooked an outstanding severity: serious bug
about the package failing to build in unstable, and your upload has FTBFS on
all architectures on the buildds, only building for you locally because you
apparently didn't build it in an up-to-date unstable build environment.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from vorlon@alioth.debian.org to control@bugs.debian.org. (Sun, 17 Jun 2012 00:21:10 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Wed, 27 Jun 2012 16:09:08 GMT) Full text and rfc822 format available.

Notification sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 16:09:08 GMT) Full text and rfc822 format available.

Message #52 received at 662940-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 662940-close@bugs.debian.org
Subject: Bug#662940: fixed in openldap 2.4.31-1
Date: Wed, 27 Jun 2012 16:05:33 +0000
Source: openldap
Source-Version: 2.4.31-1

We believe that the bug you reported is fixed in the latest version of
openldap, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.31-1_amd64.deb
  to main/o/openldap/ldap-utils_2.4.31-1_amd64.deb
libldap-2.4-2-dbg_2.4.31-1_amd64.deb
  to main/o/openldap/libldap-2.4-2-dbg_2.4.31-1_amd64.deb
libldap-2.4-2_2.4.31-1_amd64.deb
  to main/o/openldap/libldap-2.4-2_2.4.31-1_amd64.deb
libldap2-dev_2.4.31-1_amd64.deb
  to main/o/openldap/libldap2-dev_2.4.31-1_amd64.deb
openldap_2.4.31-1.diff.gz
  to main/o/openldap/openldap_2.4.31-1.diff.gz
openldap_2.4.31-1.dsc
  to main/o/openldap/openldap_2.4.31-1.dsc
openldap_2.4.31.orig.tar.gz
  to main/o/openldap/openldap_2.4.31.orig.tar.gz
slapd-dbg_2.4.31-1_amd64.deb
  to main/o/openldap/slapd-dbg_2.4.31-1_amd64.deb
slapd-smbk5pwd_2.4.31-1_amd64.deb
  to main/o/openldap/slapd-smbk5pwd_2.4.31-1_amd64.deb
slapd_2.4.31-1_amd64.deb
  to main/o/openldap/slapd_2.4.31-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated openldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 27 Jun 2012 03:27:34 +0000
Source: openldap
Binary: slapd slapd-smbk5pwd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source amd64
Version: 2.4.31-1
Distribution: unstable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
 slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd.
Closes: 654824 662940 663644 663724 664930 666230 677158
Changes: 
 openldap (2.4.31-1) unstable; urgency=low
 .
   * New upstream release.
     - Fixes a denial of service attack, CVE-2012-1164, when using the rwm
       overlay.  Closes: #663644.
     - Fixes a bug with ldap_result always returning -1 when called from
       sssd.  Closes: #666230.
     - Fix a build failure on armel due to unaligned memory access.
       Closes: #677158.
   * Incorporate NMU (thanks, Julien Cristau, Mattias Ellert):
     - Disable the mdb backend on non-Linux, it looks like it doesn't work
       with linuxthreads (closes: #654824).
     - Backport fix for shell backend configuration.  Closes: #662940.
 .
   [ Peter Marschall ]
   * debian/slapd.scripts-common: avoid grep warnings
   * debian/patches/heimdal-fix: fix arguments of
     hdb_generate_key_set_password().  Closes: #664930
 .
   [ Steve Langasek ]
   * debian/patches/contrib-modules-use-dpkg-buildflags: pass CFLAGS to
     contrib builds.  Thanks to Simon Ruderich <simon@ruderich.org>.
     Closes: #663724.
Checksums-Sha1: 
 4b601e714d54b8fd4a2d42232a3a6b34ef69119c 2727 openldap_2.4.31-1.dsc
 864e7b6ba54cc00ef5b834fd5b5739a7900dd6e3 4720612 openldap_2.4.31.orig.tar.gz
 ba4ecf042e625a7b9e6ea03952b3ac2c654c79ad 159806 openldap_2.4.31-1.diff.gz
 8d7a3b74150c351a747f3ef38de6e945f1959b90 1769626 slapd_2.4.31-1_amd64.deb
 7e0d7657f67b7fa5c4f1fe732a9c5a72fb878edb 79702 slapd-smbk5pwd_2.4.31-1_amd64.deb
 dc8e58302c5cebb9a115b7f413f63c0ebb4ca735 344062 ldap-utils_2.4.31-1_amd64.deb
 96f718712dd7546b657e7a03d8dd2bc41f5232b7 242550 libldap-2.4-2_2.4.31-1_amd64.deb
 a77827c8966cf0ab0c4b6cc4f8b3a4555beab294 473756 libldap-2.4-2-dbg_2.4.31-1_amd64.deb
 409a7e9aa1081c87634f67bfee04b58dc1c24344 562880 libldap2-dev_2.4.31-1_amd64.deb
 751d46bfba9b77b58de1126f16ca748e551d2019 5521900 slapd-dbg_2.4.31-1_amd64.deb
Checksums-Sha256: 
 f12274f5e803eb5bb3aa85547c055e88c69e74a416680766fcb40452200c5b33 2727 openldap_2.4.31-1.dsc
 dff60c1044021217ab97a7bdda5a7016015f042db0fbfd566d52abb266d19239 4720612 openldap_2.4.31.orig.tar.gz
 decb1b04b17b1407fed9a897745e5ff92ec3a093efaef4d1c40e9919e1a1525f 159806 openldap_2.4.31-1.diff.gz
 fd5318d065bad47457c1f9bce7e0e8b0a91a297fe12ae11b73b78c3d6d2ea91b 1769626 slapd_2.4.31-1_amd64.deb
 1bc96ae00d95f0f22d65017550eedad924e28e4d62fef9706f52f68ab53a15f0 79702 slapd-smbk5pwd_2.4.31-1_amd64.deb
 0f1d702653c26ff07255c85665eab02e5465bd29dca0b06896bf213c1ef7b47f 344062 ldap-utils_2.4.31-1_amd64.deb
 410815b85901f270b4e62d7a329d595d283ca693f5da9fc08603eb437a3255bc 242550 libldap-2.4-2_2.4.31-1_amd64.deb
 1eda25c03aff02adb8b84dba4cfe1857d39f90dd1f083fc9bdef04b0720310cf 473756 libldap-2.4-2-dbg_2.4.31-1_amd64.deb
 4a18c6c6c1a3af8d1274d56fab6278a6f4203f40a2ee411749ee35caf032e13b 562880 libldap2-dev_2.4.31-1_amd64.deb
 eaf168dfc62807bf8c44fa66702b42389803cb2e4773db7a5b3f4d703ca590ac 5521900 slapd-dbg_2.4.31-1_amd64.deb
Files: 
 6cb66db1f40d1316ae793343f9447681 2727 net optional openldap_2.4.31-1.dsc
 a8631b2202d8099143edb57e36b33dea 4720612 net optional openldap_2.4.31.orig.tar.gz
 7a52da635a610b3edd4bd7d3bcc8b83a 159806 net optional openldap_2.4.31-1.diff.gz
 7ff97ed3320cd0fee6cd8fa2ad7d1c49 1769626 net optional slapd_2.4.31-1_amd64.deb
 5302a40211d991d983392f17e6747c1f 79702 net extra slapd-smbk5pwd_2.4.31-1_amd64.deb
 0bae31e6c0a91f4170fe3eeb72cb9e71 344062 net optional ldap-utils_2.4.31-1_amd64.deb
 6fa53812e33bfb49ebe3aef63f0d6caf 242550 libs standard libldap-2.4-2_2.4.31-1_amd64.deb
 b5349ac800d1f980e19f04f595f9e9e7 473756 debug extra libldap-2.4-2-dbg_2.4.31-1_amd64.deb
 46b209e618cad7d56578604ac8e24373 562880 libdevel extra libldap2-dev_2.4.31-1_amd64.deb
 37be74142a30f8185fac163cd4fb4fdd 5521900 debug extra slapd-dbg_2.4.31-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJP6yyqAAoJEFaNMPMhshM93qUP/2JlWoEcZgz4NGPxCAiGwhL1
mscaroDMmF50Ia0xz9e+fUtLdfTNj7LlqIqHbUF/WiLMDfmRl4lxAy/5QWiMwHhe
6rH6Q8R2v8dT0lJ0mCrY0RvIRuBtCp+D1P798mpltA+Hmys/BQiU6GUhFktJip3M
v6J+fRG/wW4d1sU0vAusTDSHTOHh4TatluONUZClyA0uqrrIxtrv8TN+X+93uR9w
bB4XCOBPfzNTU5KotUk8DYf5/XZT1Dz7GfYEMWwnX/64XfTTOwkc8EO6CK/cUc/v
3Puz+4CMObBAo+LOX834F+1Z7r7O3Y58n2l8HdeRBPHETRAez+6Hi7G2qWlwfmMt
t80dfgWc1h8rFevYRnun61h+/rrMn7ttFLKtAb3V/icDwc5NzkBr/DNuk6s1Lx/T
cJED5esSN7l8xYJVdLz4b4teWf8OqaXCc/g7C5Y3sgxUh9Ul3/eVSggvWMnnyvDP
iMUpUJwhFIv7QdUohFyaPGhf/PKUEaF5cAFoVYMrqPgWcMgD+9Xjixb34Lr3eGXb
NzF90XH+X/IqFHflVIdL5Lh/K80fjaJzb8eua8ZXqUAXWz5A9bEz9GWphD8oC31R
JKD49Sl2Unk4Q+IRBJL3RL1r1bGt+ZyNNuRBh33d0nDPxYckD4+taz/lUAUtwQbI
ZuuTtrKW7V6bLXvMso1h
=iCS+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:31:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:42:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.